package com.gh.gamecenter.common.view

import android.graphics.Color
import android.graphics.drawable.PaintDrawable
import android.view.View
import android.widget.PopupWindow

open class BugFixedPopupWindow @JvmOverloads constructor(contentView: View? = null, width: Int = 0, height: Int = 0) :
    PopupWindow(contentView, width, height) {

    init {
        // 若不设置这个可能在一些旧设备(小于6.0)上无法无法通过返回键和点击外部关闭
        setBackgroundDrawable(PaintDrawable(Color.TRANSPARENT))
    }

}